import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class f1 extends f_xy
{
public double func(double x,double y) 
{//required function a series solution of a two dimensional temperature profile of a plate	
double ff;
int artieksi=-1;
double L=1.0;;
double W=1.0;
double toplam=0;
for(int n=1;n<200;n++)
{   artieksi*=-1;
  toplam+=(artieksi+1)/n*Math.sin(n*Math.PI*x/L)*Math.sinh(n*Math.PI*y/L)/Math.sinh(n*Math.PI*W/L);}
toplam*=(2.0/Math.PI);
return toplam; }}
  public class Plot3DCT2
  { public static void main(String[] args) { f1 fa=new f1();
    ContourPlot pp = new ContourPlot(fa,0.0,1.0,20,0.0,1.0,20,20, false, "f(x,y)", "x", "y");
    pp.plot();}}
